package org.yaoqiang.bpmn.model.elements;


/**
 * XMLFactory
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public abstract class XMLFactory extends XMLCollection {

	private static final long serialVersionUID = 6877685676631030888L;
	
	protected String type = "";
	
	public XMLFactory(XMLElement parent) {
		super(parent);
	}

	public XMLFactory(XMLElement parent, String name) {
		super(parent, name);
	}

	public void setType(String type) {
		this.type = type;
	}
	
	public String getElementName() {
		return type;
	}
}
